Bug 450600 - AC_PATH_X does not treat /usr/lib64 as a "known" location
Summary: AC_PATH_X does not treat /usr/lib64 as a "known" location
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-09 19:48 UTC by Braden McDaniel
Modified: 2009-07-14 15:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:39:22 UTC


Attachments (Terms of Use)
Patch for the F-9 package (1.58 KB, patch)
2008-06-09 19:48 UTC, Braden McDaniel
no flags Details | Diff

Description Braden McDaniel 2008-06-09 19:48:08 UTC
Description of problem:
Autoconf's AC_PATH_X macro does not treat /usr/lib64 as a directory that the compiler/linker knows 
about. As such, the shell variable x_libraries gets set to /usr/lib64 when it really shouldn't be.

Version-Release number of selected component (if applicable):
2.61-10.f9

Additional info:
The patch I'm attaching has been submitted (and accepted, I believe) upstream. But it would be nice to 
go ahead and fix this in Fedora.

Comment 1 Braden McDaniel 2008-06-09 19:48:08 UTC
Created attachment 308749 [details]
Patch for the F-9 package

Comment 2 Braden McDaniel 2008-06-09 19:51:40 UTC
See: http://thread.gmane.org/gmane.comp.sysutils.autoconf.bugs/6140



Comment 3 Braden McDaniel 2008-12-24 00:21:40 UTC
This is fixed upstream in autoconf 2.63.

Comment 4 Bug Zapper 2009-06-10 01:30:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:39:22 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.